package com.th.demo.mapping.maint;

import com.th.demo.model.maint.Customer;


import java.util.List;

public interface CustomerMapper {
    int deleteByPrimaryKey(String id);

    int insert(Customer record);

    int insertSelective(Customer record);

    Customer selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Customer record);

    int updateByPrimaryKey(Customer record);


    List<Customer> select(String query, String belongId);

    Customer selectByName(String customerName, String belongId);
}